package net.wanji.web.po.scheme;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 时间表信息（调度计划关系）;(t_base_cross_schedules_plan)表
 *
 * @author Kent HAN
 * @date 2022/12/28 17:45
 */
@Data
public class CrossSchedulesPlanPO {
    /** ID */
    @ApiModelProperty(name = "ID",notes = "")
    private Integer id ;
    /** 路口ID */
    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId ;
    /** 调度ID */
    @ApiModelProperty(name = "调度ID",notes = "")
    private Integer schedulesId ;
    /** 计划ID */
    @ApiModelProperty(name = "计划ID",notes = "")
    private Integer planId ;
    /** 星期：1周一，2周二，3周三，4周四，5周五，6周六，7周日，0特殊日期 */
    @ApiModelProperty(name = "星期：1周一，2周二，3周三，4周四，5周五，6周六，7周日，0特殊日期",notes = "")
    private Integer week = 0 ;
    /** 特殊日期 */
    @ApiModelProperty(name = "特殊日期",notes = "")
    private Date specialDate ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}